> For the complete documentation index, see [llms.txt](https://mtnpay.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mtnpay.gitbook.io/api-docs/reference/api-reference/status.md).

# Status

The status endpoint is used to verify your transaction has been completed. You will pass in your refrence and intent keys. Your refrence key is used to find the transaction on chain and your intent key is used to verify it was authentic.

If you receive a message in the body of the response, the transaction is complete. If the request is successful and the body is null, the transaction did not complete.

### Example

```python
import requests

ref_url = 'http://api.mtnapi.com/ref'
ref_req = requests.get(url = ref_url)
ref = ref_req.json()['ref']

wallet='Ar7XrWtrGsB2xCnrTFLs9HyJ1bA62gXCAUZa8Fa7VMc5' #receiver
payerToken = 'usdc'
size = 0.1

intent_url = 'http://api.mtnapi.com/intent'
params = {'wallet': wallet, 'size' : size, 'payerToken' : payerToken}
intent_req = requests.get(url = intent_url, params=params)
intent = intent_req.json()['intent']

status_url = 'http://api.mtnapi.com/status'
params = {'ref': ref, 'intent': intent} 
status_req = requests.post(url = status_url, params=params)

tx = status_req.json()['tx']
safe = status_req.json()['safe']
status_intent = status_req.json()['intent']

print(tx)
print(safe)
print(status_intent == intent)


```

## Returns the status of a transaction

<mark style="color:green;">`POST`</mark> `https://api.mtnapi.com/status`

#### Query Parameters

| Name | Type   | Description                                                    |
| ---- | ------ | -------------------------------------------------------------- |
| ref  | String | Pass a reference key associated with your desired transaction. |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mtnpay.gitbook.io/api-docs/reference/api-reference/status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
